#ifndef HISTORY_H
#define HISTORY_H

typedef struct {
	char command[1024];
	int hasArg;
	char arg[1024];
	int choice;
} historyEntryStruct;

typedef struct {
	historyEntryStruct *entries[100];
	int len;
} historyStruct;

typedef historyStruct *historyHandle;

historyHandle historyCreate();
historyHandle historyLoad(char *file);
void historyWrite(historyHandle handle, char *file);
int historyLen(historyHandle h);
void historyPush(historyHandle handle, char *command, int hasArg, char *arg, int choice);
void historyPop(historyHandle handle, char *command, int *hasArg, char *arg, int *choice);

#endif