#include "input.h"
#include <SDL/SDL.h>

//Simple eventfilter. Everything exept quit and mousebutton messages ignored.
int inputEventFilter(const SDL_Event *event) {
    if (event->type==SDL_QUIT ||
     event->type==SDL_KEYDOWN ||
     event->type==SDL_JOYAXISMOTION ||
     event->type==SDL_JOYBUTTONDOWN
      ) return 1;
    return 0;
}


void inputInit() {
	SDL_SetEventFilter(inputEventFilter);
	 SDL_EnableUNICODE(1);
}

//Add input methods for menu navigation here.
int inputGetDirection() {
	SDL_Event event;
	if (!SDL_PollEvent(&event)) return INP_NONE;
	if (event.type==SDL_KEYDOWN) {
		if (event.key.keysym.sym==SDLK_UP) return INP_UP;
		if (event.key.keysym.sym==SDLK_DOWN) return INP_DOWN;
		if (event.key.keysym.sym==SDLK_LEFT) return INP_BACK;
		if (event.key.keysym.sym==SDLK_RIGHT) return INP_SELECT;
		if (event.key.keysym.sym==SDLK_ESCAPE) return INP_BACK;
		if (event.key.keysym.sym==SDLK_RETURN) return INP_SELECT;
		if (event.key.keysym.sym==SDLK_PAGEUP) return INP_PGUP;
		if (event.key.keysym.sym==SDLK_PAGEDOWN) return INP_PGDWN;
		if (event.key.keysym.sym==SDLK_HOME) return INP_HOME;
		if (event.key.keysym.sym==SDLK_END) return INP_END;
		if (event.key.keysym.sym==SDLK_BACKSPACE) return INP_BSP;
		if (event.key.keysym.unicode!=0 && (event.key.keysym.unicode&0xff80)==0) {
			return (event.key.keysym.unicode&0x7f)|INP_CHAR;
		}
	}
	return INP_NONE;
}

